Bug 2158175 - python-aiohttp: FTBFS in Fedora 36, 37, and 38/Rawhide
Summary: python-aiohttp: FTBFS in Fedora 36, 37, and 38/Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-aiohttp
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F37FTBFS F38FTBFS F36FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-01-04 13:38 UTC by Ben Beasley
Modified: 2023-02-02 02:15 UTC (History)
5 users (show)

Fixed In Version: python-aiohttp-3.8.3-6.fc38 python-aiohttp-3.8.3-5.fc36 python-aiohttp-3.8.3-5.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-24 10:12:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ben Beasley 2023-01-04 13:38:37 UTC
Description of problem:
Package python-aiohttp fails to build from source in Fedora 37 and 38/Rawhide.

Version-Release number of selected component (if applicable):
3.8.3-4.fc38

Steps to Reproduce:

Do a scratch build or mock build in F37 or F38/Rawhide.

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-aiohttp

=================================== FAILURES ===================================
__________________________ test_default_loop[pyloop] ___________________________
[XPASS(strict)] No idea why ClientRequest() is constructed out of loop but it calls `asyncio.get_event_loop()`
____________________ TestStreamReader.test_ctor_global_loop ____________________
[XPASS(strict)] No idea why ClientRequest() is constructed out of loop but it calls `asyncio.get_event_loop()`
__________________________ test_set_loop_default_loop __________________________
[XPASS(strict)] No idea why _set_loop() is constructed out of loop but it calls `asyncio.get_event_loop()`

I could simply skip these three tests. It would be even better if someone has an idea why they have started failing.

Comment 1 Ben Beasley 2023-01-04 13:46:00 UTC
Actually, Iā€™m seeing this in F36 too.

Comment 2 Fedora Update System 2023-01-24 10:11:02 UTC
FEDORA-2023-ab848b93dd has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ab848b93dd

Comment 3 Fedora Update System 2023-01-24 10:12:08 UTC
FEDORA-2023-ab848b93dd has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2023-01-24 14:57:41 UTC
FEDORA-2023-79dd0e4931 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-79dd0e4931

Comment 5 Fedora Update System 2023-01-24 15:28:42 UTC
FEDORA-2023-607fdd2296 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-607fdd2296

Comment 6 Fedora Update System 2023-01-25 02:53:34 UTC
FEDORA-2023-607fdd2296 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-607fdd2296`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-607fdd2296

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-01-25 03:18:42 UTC
FEDORA-2023-79dd0e4931 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-79dd0e4931`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-79dd0e4931

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-02-02 02:02:43 UTC
FEDORA-2023-607fdd2296 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-02-02 02:15:30 UTC
FEDORA-2023-79dd0e4931 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.